CIVETWEB(1)

NAME
civetweb - embeddable web server with optional CGI, SSL and Lua support

DESCRIPTION
CivetWeb v1.12, built on Sep 14 2020

  Usage:

    Start server with a set of options:

    civetweb [config_file] civetweb [-option value ...]

    Run as client:

    civetweb -C url

    Show system information:

    civetweb -I

    Add user/change password:

    civetweb -A <htpasswd_file> <realm> <user> <passwd>

    Remove user:

    civetweb -R <htpasswd_file> <realm> <user>

  OPTIONS:

-listening_ports 8080

-num_threads 50

-run_as_user <empty>

-tcp_nodelay 0

-max_request_size 16384

-linger_timeout_ms <empty>

-connection_queue 20

-listen_backlog 200

-allow_sendfile_call yes

-throttle <empty>

-access_log_file <empty>

-error_log_file <empty>

-enable_keep_alive no

-request_timeout_ms 30000

-keep_alive_timeout_ms 500

-decode_url yes

-document_root <empty>

-cgi_pattern **.cgi$|**.pl$|**.php$

-cgi_environment <empty>

-put_delete_auth_file <empty>

-cgi_interpreter <empty>

-protect_uri <empty>

-authentication_domain mydomain.com

-enable_auth_domain_check yes

-ssi_pattern **.shtml$|**.shtm$

-enable_directory_listing yes

-global_auth_file <empty>

-index_files index.xhtml,index.html,index.htm,index.cgi,index.shtml,index.php

-access_control_list <empty>

-extra_mime_types <empty>

-ssl_certificate <empty>

-ssl_certificate_chain <empty>

-url_rewrite_patterns <empty>

-hide_files_patterns <empty>

-ssl_verify_peer no

-ssl_ca_path <empty>

-ssl_ca_file <empty>

-ssl_verify_depth 9

-ssl_default_verify_paths yes

-ssl_cipher_list <empty>

-ssl_protocol_version 0

-ssl_short_trust no

-access_control_allow_origin *

-access_control_allow_methods *

-access_control_allow_headers *

-error_pages <empty>

-static_file_max_age 3600

-static_file_cache_control <empty>

-strict_transport_security_max_age <empty>

-additional_header <empty>

-allow_index_script_resource no

-title <empty>

-icon <empty>

-website <empty>

-add_domain <empty>

-hide_tray <empty>

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.